Skip Menu |
 

This queue is for tickets about the DBD-mysql CPAN distribution.

Report information
The Basics
Id: 103927
Status: rejected
Priority: 0/
Queue: DBD-mysql

People
Owner: Nobody in particular
Requestors: arthur [...] acm.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Error in compiling DBD::mysql
Date: Thu, 23 Apr 2015 23:20:50 -0400
To: bug-DBD-mysql [...] rt.cpan.org
From: Arthur Goldstein <arthur.goldstein [...] gmail.com>
Download (untitled) / with headers
text/plain 1.2k
Please let me know how I can install DBD::mysql. I get an error, relevant cpan output at end of message, when trying to install DBD::mysql version 4.031 on my mac (OS X Yosemite Version 10.10.3). Some research suggests that this is because of a gcc flag option that does not apply to Apple's c compiler. There was a work around for similar errors that may no longer work, setting the environment variable ARCHFLAGS=Wno-error=unused-command-line-argument-hard-error-in-future easy_install ( http://bruteforce.gr/bypassing-clang-error-unknown-argument.html ) Thanks, Arthur Running Mkbootstrap for DBD::mysql () chmod 644 mysql.bs cc -c -I/Applications/AMPPS/perl/lib/site_perl/5.20.1/darwin-2level/auto/DBI -I/Applications/AMPPS/mysql/include -g -fabi-version=2 -fno-omit-frame-pointer -fno-strict-aliasing -DDBD_MYSQL_INSERT_ID_IS_GOOD -g -fno-common -DPERL_DARWIN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -O3 -DVERSION=\"4.031\" -DXS_VERSION=\"4.031\" "-I/Applications/AMPPS/perl/lib/5.20.1/darwin-2level/CORE" dbdimp.c clang: error: unknown argument: '-fabi-version=2' make: *** [dbdimp.o] Error 1 CAPTTOFU/DBD-mysql-4.031.tar.gz make -- NOT OK Failed during this command: CAPTTOFU/DBD-mysql-4.031.tar.gz : make NO
Subject: Re: [rt.cpan.org #103927] AutoReply: Error in compiling DBD::mysql
Date: Wed, 6 May 2015 00:33:30 -0400
To: bug-DBD-mysql [...] rt.cpan.org
From: Arthur Goldstein <arthur [...] acm.org>
Download (untitled) / with headers
text/plain 2.8k
I resolved this. The problem was that the AMPPS (http://www.ampps.com/) comes with a pre-compiled mysql which is not compatible with the "new" Apple C compiler. More specifically: AMPPS apparently was compiled with gcc on mysql . AMPSS does not include DBD::mysql in its distribution however. When DBD::mysql is installed, part needs to be compiled and the process checks the "mysql_config --ccflags" to determine which flags to pass to the c compiler, these were set when AMPSS was compiled with gcc presumably. Mac OS X Yosemite uses the xcode c compiler which does not take the same flags as the gcc compiler. My workaround was to not use AMPSS and install mysql and DBD::mysql myself. I will report this on the AMPSS website. Thanks, Arthur On Thu, Apr 23, 2015 at 11:21 PM, Bugs in DBD-mysql via RT < bug-DBD-mysql@rt.cpan.org> wrote: Show quoted text
> > Greetings, > > This message has been automatically generated in response to the > creation of a trouble ticket regarding: > "Error in compiling DBD::mysql", > a summary of which appears below. > > There is no need to reply to this message right now. Your ticket has been > assigned an ID of [rt.cpan.org #103927]. Your ticket is accessible > on the web at: > > https://rt.cpan.org/Ticket/Display.html?id=103927 > > Please include the string: > > [rt.cpan.org #103927] > > in the subject line of all future correspondence about this issue. To do > so, > you may reply to this message. > > Thank you, > bug-DBD-mysql@rt.cpan.org > > ------------------------------------------------------------------------- > Please let me know how I can install DBD::mysql. I get an error, relevant > cpan output at end of message, when trying to install DBD::mysql version > 4.031 on my mac (OS X Yosemite Version 10.10.3). > > Some research suggests that this is because of a gcc flag option that does > not apply to Apple's c compiler. There was a work around for similar > errors that may no longer work, setting the environment variable > ARCHFLAGS=Wno-error=unused-command-line-argument-hard-error-in-future > easy_install ( > http://bruteforce.gr/bypassing-clang-error-unknown-argument.html ) > > Thanks, > Arthur > > > Running Mkbootstrap for DBD::mysql () > chmod 644 mysql.bs > cc -c > -I/Applications/AMPPS/perl/lib/site_perl/5.20.1/darwin-2level/auto/DBI > -I/Applications/AMPPS/mysql/include -g -fabi-version=2 > -fno-omit-frame-pointer -fno-strict-aliasing -DDBD_MYSQL_INSERT_ID_IS_GOOD > -g -fno-common -DPERL_DARWIN -fno-strict-aliasing -pipe -fstack-protector > -I/usr/local/include -O3 -DVERSION=\"4.031\" -DXS_VERSION=\"4.031\" > "-I/Applications/AMPPS/perl/lib/5.20.1/darwin-2level/CORE" dbdimp.c > clang: error: unknown argument: '-fabi-version=2' > make: *** [dbdimp.o] Error 1 > CAPTTOFU/DBD-mysql-4.031.tar.gz > make -- NOT OK > Failed during this command: > CAPTTOFU/DBD-mysql-4.031.tar.gz : make NO >
Thanks for your feedback! -- Michiel


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.